Skip to main content
`Ctrl`+`K`

# EPSKrylovSchurGetSubcommInfo

Gets information related to the case of doing spectrum slicing for a computational interval with multiple communicators.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSKrylovSchurGetSubcommInfo(EPS eps,PetscInt *k,PetscInt *n,Vec *v)

Collective on the subcommunicator (if `v` is given)

## Input Parameter

- eps - the linear eigensolver context

## Output Parameters

- k - index of the subinterval for the calling process

- n - number of eigenvalues found in the `k`-th subinterval

- v - a vector owned by processes in the subcommunicator with dimensions compatible for locally computed eigenvectors (or `NULL`)

## Notes

This function is only available for spectrum slicing runs, that is, when an interval has been given with `EPSSetInterval()` and `STSINVERT` is set. See more details in section Spectrum Slicing.

The returned `Vec` should be destroyed by the user.

## See Also

EPS: Eigenvalue Problem Solver, Spectrum Slicing, `EPSKRYLOVSCHUR`, `EPSSetInterval()`, `EPSKrylovSchurSetPartitions()`, `EPSKrylovSchurGetSubcommPairs()`

## Level

advanced

## Location

src/eps/impls/krylov/krylovschur/krylovschur.c

## Implementations

EPSKrylovSchurGetSubcommInfo_KrylovSchur() in src/eps/impls/krylov/krylovschur/krylovschur.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages